mod api;
mod cli;
pub mod db;
mod distro;
mod error;
mod repo;

pub use error::{Result, ServerError};
use repo::DistroMgr;

use clap::Parser;
use std::path::PathBuf;

#[derive(Clone)]
pub struct Config {
    data_dir: PathBuf,
}

#[derive(Clone)]
pub struct Global {
    config: Config,
    mgr: distro::MetaDistroMgr,
    db: sea_orm::DbConn,
}

#[tokio::main]
async fn main() -> crate::Result<()> {
    let cli = cli::Cli::parse();
    cli.run().await
}
